The SensitiveParameterValue class

- « BackedEnum::tryFrom

- SensitiveParameterValue::__construct »

- PHP Manual
- Predefined Interfaces and Classes
- The SensitiveParameterValue class

# The SensitiveParameterValue class

(PHP 8 >= 8.2.0)

## Introduction

The SensitiveParameterValue class allows wrapping sensitive values to protect them against accidental exposure.

Values of parameters having the SensitiveParameter attribute will automatically be wrapped inside of a SensitiveParameterValue object within stack traces.

## Class synopsis

final class SensitiveParameterValue {
/* Properties */
private readonly mixed $value;
/* Methods */
public __construct(mixed `$value`)
public __debugInfo(): array
public getValue(): mixed
}

## Properties

value

  The sensitive value to be protected against accidental exposure.

## Table of Contents

- SensitiveParameterValue::__construct — Constructs a new SensitiveParameterValue object
- SensitiveParameterValue::__debugInfo — Protects the sensitive value against accidental exposure
- SensitiveParameterValue::getValue — Returns the sensitive value